Package com.xebialabs.xlrelease.api.v1.forms

## Class FacetFilters

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.FacetFilters

-     public class FacetFilters
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FacetFilters()` |
    `FacetFilters​(java.lang.String parentId, java.lang.String targetId, java.util.List<Type> types)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getParentId()` |
    `java.lang.String` | `getTargetId()` |
    `java.util.List<Type>` | `getTypes()` |
    `boolean` | `hasParentId()` |
    `boolean` | `hasTargetId()` |
    `FacetFilters` | `includingType​(java.lang.String type)` |
    `void` | `setParentId​(java.lang.String parentId)` |
    `void` | `setTargetId​(java.lang.String targetId)` |
    `void` | `setTypes​(java.util.List<Type> types)` |
    `void` | `validate()` |
    `FacetFilters` | `withParentId​(java.lang.String parentId)` |
    `FacetFilters` | `withTargetId​(java.lang.String targetId)` |
    `FacetFilters` | `withType​(Type... types)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FacetFilters

          public FacetFilters()

    - #### FacetFilters

          public FacetFilters​(java.lang.String parentId,
                              java.lang.String targetId,
                              java.util.List<Type> types)

  - ### Method Detail

    - #### validate

          public void validate()

    - #### hasParentId

          public boolean hasParentId()

    - #### hasTargetId

          public boolean hasTargetId()

    - #### withParentId

          public FacetFilters withParentId​(java.lang.String parentId)

    - #### withTargetId

          public FacetFilters withTargetId​(java.lang.String targetId)

    - #### withType

          public FacetFilters withType​(Type... types)

    - #### includingType

          public FacetFilters includingType​(java.lang.String type)

    - #### getParentId

          public java.lang.String getParentId()

    - #### setParentId

          public void setParentId​(java.lang.String parentId)

    - #### getTargetId

          public java.lang.String getTargetId()

    - #### setTargetId

          public void setTargetId​(java.lang.String targetId)

    - #### getTypes

          public java.util.List<Type> getTypes()

    - #### setTypes

          public void setTypes​(java.util.List<Type> types)